Skip to main content
POST
Reschedule a Pending Scheduled SMS Message

Authorizations

Client-ID
string
header
required

Your UgaText Client-ID (e.g. uga_...). Accepted header aliases: X-Client-ID, or combined in Authorization: Bearer : / X-API-Key: :.

Client-Secret
string
header
required

Your UgaText Client-Secret (e.g. sk_live_...). Accepted header alias: X-Client-Secret.

Path Parameters

id
string
required

The scheduled message ID to reschedule

Example:

"sched_1760425200000_1a2b3c4d"

Body

application/json
scheduled_at
string<date-time>
required

New future ISO-8601 timestamp (accepted alias: "scheduledAt").

Example:

"2026-12-02T09:00:00.000Z"

recurrence
enum<string>

Optional updated repeat interval ("none", "daily", "weekly", or "monthly"). Preserves existing recurrence when omitted.

Available options:
none,
daily,
weekly,
monthly
message
string

Optional updated SMS message text.

Response

Scheduled message rescheduled successfully

success
boolean
Example:

true

message_id
string
Example:

"sched_1760425200000_1a2b3c4d"

status
string
Example:

"scheduled"

recipient
string
Example:

"+256700000000"

sender_id
string
Example:

"UGATEXT"

scheduled_at
string<date-time>
recurrence
enum<string>
Available options:
none,
daily,
weekly,
monthly
Example:

"none"

segments
integer
Example:

1

cost_units
integer
Example:

0

estimated_cost_ugx
number
Example:

0

cost_ugx
number
Example:

0

currency
string
Example:

"UGX"

mode
enum<string>
Available options:
live,
sandbox
Example:

"sandbox"